/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
"use client";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../../../_virtual/_rolldown/runtime.cjs");
const require_components_client_BottomSheet_useBottomSheetStoreInternal = require("./useBottomSheetStoreInternal.cjs");
const require_components_client_BottomSheet_useBottomSheetStore = require("./useBottomSheetStore.cjs");
let react_jsx_runtime = require("react/jsx-runtime");
let _ariakit_react_dialog = require("@ariakit/react/dialog");
//#region src/components/client/BottomSheet/BottomSheetProvider.tsx
const BottomSheetProvider = ({ children, controller: controllerProp }) => {
	const fallbackStore = require_components_client_BottomSheet_useBottomSheetStoreInternal.useBottomSheetStoreInternal();
	return /* @__PURE__ */ (0, react_jsx_runtime.jsx)(_ariakit_react_dialog.DialogProvider, {
		store: controllerProp ? require_components_client_BottomSheet_useBottomSheetStore.getBottomSheetInternal(controllerProp) : fallbackStore,
		children
	});
};
BottomSheetProvider.displayName = "BottomSheetProvider";
//#endregion
exports.BottomSheetProvider = BottomSheetProvider;
